#!/bin/bash
#
# Description: 変数展開の基本パターン5
#              デフォルト値1

source pre.bash

echo "デフォルト値1"
str="I have a pen."
nullstr=""
unset undefined
echo "    \$str='$str'"
echo "    \$nullstr='$nullstr'"
echo "    \$undefined is not defined"
echo "    デフォルト値"
echo "        '${str:-default}'" ' ${str:-default}'
echo "        '${str-default}'" ' ${str-default}'
echo "        '${nullstr:-default}'" ' ${nullstr:-default}'
echo "        '${nullstr-default}'" ' ${nullstr-default}'
echo "        '${undefined:-default}'" ' ${undefined:-default}'
echo "        '${undefined-default}'" ' ${undefined-default}'
echo
echo "    定義されていたら、別の値を使う"
echo "        '${str:+alt}'" ' ${str:+alt}'
echo "        '${str+alt}'" ' ${str+alt}'
echo "        '${nullstr:+alt}'" ' ${nullstr:+alt}'
echo "        '${nullstr+alt}'" ' ${nullstr+alt}'
echo "        '${undefined:+alt}'" ' ${undefined:+alt}'
echo "        '${undefined+alt}'" ' ${undefined+alt}'
echo
echo "    デフォルト値の代入"
str="I have a pen."
echo "        '${str:=default}' str='$str'" ' ${str:=default}'
str="I have a pen."
echo "        '${str=default}'  str='$str'" ' ${str=default}'
nullstr=""
echo "        '${nullstr:=default}' nullstr='$nullstr'" ' ${nullstr:=default}'
nullstr=""
echo "        '${nullstr=default}' nullstr='$nullstr'" ' ${nullstr=default}'
unset undefined
echo "        '${undefined:=default}' undefined='$undefined'" ' ${undefined:=default}'
unset undefined
echo "        '${undefined=default}' undefined='$undefined'" ' ${undefined=default}'
echo

