#!/bin/bash
#
# Description: 環境確認など、共通事前処理機能
#              各スクリプトからsourceで、このファイルを読み込む

echo "実行中のbashのバージョン=$BASH_VERSION"
echo "------------------------------------------"
locale
echo

read -p "Hit 'retern/enter' to continue." pause 
clear

: << EOHD
macOS標準のbash3では、動作しない機能があるので注意。
macOSのbrewで導入したbash4を明示的に指定して、このスクリプトを実行するには:
"$ /usr/local/bin/bash $0"

日本語もあつかうので、はじめにlocaleを確認しておく

localeについては、コマンド、設定値、影響について、それぞれmanpageを確認:
    man 1 locale
    man 5 locale
    man 7 locale"

明示的にすべてを日本語にするなら:
export LC_ALL=ja_JP.UTF-8

まずは、デフォルト状態で、動作を確認してみよう。
EOHD
