#!/bin/bash
#
# Description: 変数展開の基本パターン2
#              文字列の加工1: 大文字と小文字

source pre.bash

echo "文字列の加工1"

echo "    大文字と小文字 (bash4)"
if [ ${BASH_VERSION%%.*} -lt 4 ]; then
    echo "        ☆ 以下の機能は、bash4以降のみ。bash3では動作しない。"
    echo
    echo '        ${l^} $lをキャピタライズ:'
    echo '        ${l^e} $lがeではじまるなら、キャピタライズ:'
    echo '        ${l^^} to upper:'
    echo '        ${l^^e} eを to upper:'
    echo '        ${u,} $uの最初の1文字だけ小文字に:'
    echo '        ${u,E} $uの最初の1文字だけ小文字に:'
    echo '        ${u,,} to lower:'
    echo '        ${u,,E} Eを to lower:'
    echo "        undocumented feature."
    echo '        ${u~} $uの最初の1文字を大文字-小文字入れ替え:'
    echo '        ${u~~} すべての文字を大文字-小文字入れ替え:'
else
    e="e" # loop 1順目は、半角e
    E="E"
    for l in 'i have a pen and eggs.' 'ｉ　ｈａｖｅ　ａ　ｐｅｎ　ａｎｄ　ｅｇｇｓ．'
    do
        echo "        l='$l'"
        echo '        ${l^} $lをキャピタライズ:' " '${l^}'"
        echo '        ${l^e} $lがeではじまるなら、キャピタライズ:' " '${l^$e}'"
        echo '        ${l^^} to upper:' " '${l^^}'"
        echo '        ${l^^e} eを to upper:' " '${l^^$e}'"
        u=${l^^}
        echo " '$u'"
        echo '        ${u,} $uの最初の1文字だけ小文字に:' " '${u,}'"
        echo '        ${u,E} $uの最初の1文字だけ小文字に:' " '${u,$E}'"
        echo '        ${u,,} to lower:' " '${u,,}'"
        echo '        ${u,,E} Eを to lower:' " '${u,,$E}'"
        echo "        undocumented. feature"
        echo '        ${u~} $uの最初の1文字を大文字-小文字入れ替え:' " '${u~}'"
        echo '        ${u~~} すべての文字を大文字-小文字入れ替え:' " '${u~~}'"
        echo
        e="ｅ" # loop 2順目以降は、全角ｅ
        E="Ｅ"
    done
fi
