#!/bin/bash
#
# Description: 変数展開の基本パターン6
#              デフォルト値2

source pre.bash

echo "デフォルト値2"
echo
echo "エラーとなった箇所でこのスクリプトは、異常終了する"
echo '終了したら、終了ステータス($?)を確認する:'
echo '  $ echo $?'

str="I have a pen."
nullstr=""
unset undefined
echo
echo "  定義されていなければ、エラーにする"

echo "\$str='$str'"
echo "\$nullstr='$nullstr'"
echo "\$undefined is not defined"
PS3="番号を選んで>"
select i in '${str:?mesg}' '${str?mesg}' '${nullstr:?mesg} 異常終了する' '${nullstr?mesg}' '${undefiend:?mesg} 異常終了する' '${undefiend?mesg} 異常終了する'
do
  echo $i
  case $REPLY in
    1 ) echo "        '${str:?定義されていない変数を参照}' \$?=$?" ' ${str:?定義されていない変数を参照}' ;;
    2 ) echo "        '${str?定義されていない変数を参照}' \$?=$?" ' ${str?定義されていない変数を参照}' ;;
    3 ) echo "        '${nullstr:?定義されていない変数を参照}' \$?=$?" ' ${nullstr:?定義されていない変数を参照}' ;;
    4 ) echo "        '${nullstr?定義されていない変数を参照}' \$?=$?" ' ${nullstr?定義されていない変数を参照}' ;;
    5 ) echo "        '${undefined:?定義されていない変数を参照}' \$?=$?" ' ${undefined:?定義されていない変数を参照}' ;;
    6 ) echo "        '${undefined?定義されていない変数を参照}' \$?=$?" ' ${undefined?定義されていない変数を参照}' ;;
    *) echo "select a number." ;;
  esac
  #break;
done
